org.jbpm.services.task.impl

## Class TaskContentServiceImpl

- java.lang.Object
- - org.jbpm.services.task.impl.TaskContentServiceImpl

- All Implemented Interfaces:
    org.kie.internal.task.api.TaskContentService

      public class TaskContentServiceImpl
      extends Object
      implements org.kie.internal.task.api.TaskContentService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskContentServiceImpl()`
    `TaskContentServiceImpl(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `addContent(long taskId, org.kie.api.task.model.Content content)`
    `long` | `addContent(long taskId, Map<String,Object> params)`
    `void` | `addMarshallerContext(String ownerId, org.kie.internal.task.api.ContentMarshallerContext context)`
    `void` | `deleteContent(long taskId, long contentId)`
    `List<org.kie.api.task.model.Content>` | `getAllContentByTaskId(long taskId)`
    `org.kie.api.task.model.Content` | `getContentById(long contentId)`
    `org.kie.internal.task.api.ContentMarshallerContext` | `getMarshallerContext(org.kie.api.task.model.Task task)`
    `void` | `removeMarshallerContext(String ownerId)`
    `void` | `setPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskContentServiceImpl

          public TaskContentServiceImpl()

    - #### TaskContentServiceImpl

          public TaskContentServiceImpl(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

  - ### Method Detail

    - #### setPersistenceContext

          public void setPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

    - #### addContent

          public long addContent(long taskId,
                        Map<String,Object> params)

      Specified by:
        `addContent` in interface `org.kie.internal.task.api.TaskContentService`

    - #### addContent

          public long addContent(long taskId,
                        org.kie.api.task.model.Content content)

      Specified by:
        `addContent` in interface `org.kie.internal.task.api.TaskContentService`

    - #### deleteContent

          public void deleteContent(long taskId,
                           long contentId)

      Specified by:
        `deleteContent` in interface `org.kie.internal.task.api.TaskContentService`

    - #### getAllContentByTaskId

          public List<org.kie.api.task.model.Content> getAllContentByTaskId(long taskId)

      Specified by:
        `getAllContentByTaskId` in interface `org.kie.internal.task.api.TaskContentService`

    - #### getContentById

          public org.kie.api.task.model.Content getContentById(long contentId)

      Specified by:
        `getContentById` in interface `org.kie.internal.task.api.TaskContentService`

    - #### addMarshallerContext

          public void addMarshallerContext(String ownerId,
                                  org.kie.internal.task.api.ContentMarshallerContext context)

      Specified by:
        `addMarshallerContext` in interface `org.kie.internal.task.api.TaskContentService`

    - #### removeMarshallerContext

          public void removeMarshallerContext(String ownerId)

      Specified by:
        `removeMarshallerContext` in interface `org.kie.internal.task.api.TaskContentService`

    - #### getMarshallerContext

          public org.kie.internal.task.api.ContentMarshallerContext getMarshallerContext(org.kie.api.task.model.Task task)

      Specified by:
        `getMarshallerContext` in interface `org.kie.internal.task.api.TaskContentService`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.